Operation Mode
All operations require authentication.
2 operationsv1/overTheBox/{serviceName}
List the operation modes of an OverTheBox serviceBeta
GET
/1.0/ overTheBox/ {serviceName}/ availableOperationModes
List the operation modes of an OverTheBox service. Returns the operation modes the service can switch to with the operationMode call.
Path parameters
service Name
required
string
The internal name of your overTheBox offer
Response
200Operation Mode Enum []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ availableOperationModes \
-H "authorization: Bearer $OVH_TOKEN"[ "overthebox"]
Update the operation mode of an OverTheBox serviceBeta
PUT
/1.0/ overTheBox/ {serviceName}/ operationMode
Update the operation mode of an OverTheBox service. Switches the service to one of its available operation modes and returns the task.
Path parameters
service Name
required
string
The internal name of your overTheBox offer
Request body (required)
operation Mode
required
Operation Mode Enum
Operation mode of the service
Values
overtheboxoverthebox-legacywireguardResponse
200Tasksuccessful operation
name
read-only
string
The name of the task
status
read-only
Task Status Enum
The status of the task
Values
doingdoneerrortodotask Id
read-only
string
The id of the task
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ overTheBox/ {serviceName}/ operationMode \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "status": "doing", "taskId": "string"}